OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class Group

    java.lang.Object
      org.opennms.netmgt.config.collectd.Group

All Implemented Interfaces:
  java.io.Serializable

public class Group
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_ifType`
`private java.util.ArrayList` `_includeGroupList`
`private java.util.ArrayList` `_mibObjList`
`private java.lang.String` `_name`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Group()`

Method Summary
`void` `addIncludeGroup(int index, java.lang.String vIncludeGroup)`
`void` `addIncludeGroup(java.lang.String vIncludeGroup)`
`void` `addMibObj(int index, MibObj vMibObj)`
`void` `addMibObj(MibObj vMibObj)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearIncludeGroup()`
`void` `clearMibObj()`
`java.util.Enumeration` `enumerateIncludeGroup()`
`java.util.Enumeration` `enumerateMibObj()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getIfType()` Returns the value of field 'ifType'.
`java.lang.String[]` `getIncludeGroup()`
`java.lang.String` `getIncludeGroup(int index)`
`java.util.Collection` `getIncludeGroupCollection()`
`int` `getIncludeGroupCount()`
`MibObj[]` `getMibObj()`
`MibObj` `getMibObj(int index)`
`java.util.Collection` `getMibObjCollection()`
`int` `getMibObjCount()`
`java.lang.String` `getName()` Returns the value of field 'name'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeIncludeGroup(java.lang.String vIncludeGroup)`
`boolean` `removeMibObj(MibObj vMibObj)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setIfType(java.lang.String ifType)` Sets the value of field 'ifType'.
`void` `setIncludeGroup(int index, java.lang.String vIncludeGroup)`
`void` `setIncludeGroup(java.lang.String[] includeGroupArray)`
`void` `setIncludeGroupCollection(java.util.Collection vIncludeGroup)`
`void` `setMibObj(int index, MibObj vMibObj)`
`void` `setMibObj(MibObj[] mibObjArray)`
`void` `setMibObjCollection(java.util.Collection vMibObj)`
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`static Group` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _ifType

    private java.lang.String _ifType

### _mibObjList

    private java.util.ArrayList _mibObjList

### _includeGroupList

    private java.util.ArrayList _includeGroupList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Group

    public Group()

Method Detail

### addIncludeGroup

    public void addIncludeGroup(java.lang.String vIncludeGroup)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIncludeGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeGroup

    public void addIncludeGroup(int index,
                                java.lang.String vIncludeGroup)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMibObj

    public void addMibObj(MibObj vMibObj)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMibObj` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMibObj

    public void addMibObj(int index,
                          MibObj vMibObj)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMibObj` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearIncludeGroup

    public void clearIncludeGroup()

### clearMibObj

    public void clearMibObj()

### enumerateIncludeGroup

    public java.util.Enumeration enumerateIncludeGroup()

### enumerateMibObj

    public java.util.Enumeration enumerateMibObj()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getIfType

    public java.lang.String getIfType()

  Returns the value of field 'ifType'.

  Returns:
    the value of field 'ifType'.

### getIncludeGroup

    public java.lang.String getIncludeGroup(int index)
                                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIncludeGroup

    public java.lang.String[] getIncludeGroup()

### getIncludeGroupCollection

    public java.util.Collection getIncludeGroupCollection()

### getIncludeGroupCount

    public int getIncludeGroupCount()

### getMibObj

    public MibObj getMibObj(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMibObj

    public MibObj[] getMibObj()

### getMibObjCollection

    public java.util.Collection getMibObjCollection()

### getMibObjCount

    public int getMibObjCount()

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeIncludeGroup

    public boolean removeIncludeGroup(java.lang.String vIncludeGroup)

  Parameters:
    `vIncludeGroup` -

### removeMibObj

    public boolean removeMibObj(MibObj vMibObj)

  Parameters:
    `vMibObj` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setIfType

    public void setIfType(java.lang.String ifType)

  Sets the value of field 'ifType'.

  Parameters:
    `ifType` - the value of field 'ifType'.

### setIncludeGroup

    public void setIncludeGroup(int index,
                                java.lang.String vIncludeGroup)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeGroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIncludeGroup

    public void setIncludeGroup(java.lang.String[] includeGroupArray)

  Parameters:
    `includeGroupArray` -

### setIncludeGroupCollection

    public void setIncludeGroupCollection(java.util.Collection vIncludeGroup)

  Parameters:
    `vIncludeGroup` -

### setMibObj

    public void setMibObj(int index,
                          MibObj vMibObj)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMibObj` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMibObj

    public void setMibObj(MibObj[] mibObjArray)

  Parameters:
    `mibObjArray` -

### setMibObjCollection

    public void setMibObjCollection(java.util.Collection vMibObj)

  Parameters:
    `vMibObj` -

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### unmarshal

    public static Group unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.